Upgrading: Project Members, Watchers and Subscribers
Closed, ResolvedPublic

Description

Rules around project watchers and mail have changed slightly. The effects of these changes for most installs should be very minor, and this guidance is mostly offered for completeness.

Watchers: Watching a project deluges you with an enormous volume of mail about it. Previously, you had to be a member of a project to watch the project. Now, anyone can watch a project. This doesn't let you see anything you can't otherwise see.

Member Mail: When mail is sent to a project (for example, it is added as a subscriber on a task), it is normally sent to all project members (like a mailing list). Previously, you could opt out of this by unsubscribing, but this was not obvious and the distinction between "subscribe", "unsubscribe", watching, and membership was not clear. You now opt out of member mail with an explicit Disable Mail action on the Members page. The page explains this option and its effects more clearly.

Existing unsubscribes have been migrated to "Disable Mail" settings, so you shouldn't need to go change anything.

Edit Notifications: Previously, edit notifications (like project description, icon and membership changes) were sent to project members, unless you had unsubscribed. This mail was generally not useful, and is now only sent to the actor by default. If you want to continue receiving it, you can write a Herald rule.

There's some new documentation with a few more details about this.

chad added a subscriber: chad.Jan 20 2016, 4:16 AM
joshuaspence added a subscriber: joshuaspence.
epriestley moved this task from Backlog to Projects v3 on the Projects board.Jan 22 2016, 12:08 PM
chad moved this task from Projects v3 to v3 on the Projects board.Feb 5 2016, 7:40 PM
chad edited projects, added Projects (v3); removed Projects.
epriestley closed this task as Resolved.Feb 5 2016, 7:54 PM

This has been live for a couple weeks without making any waves and these changes were all pretty straightforward so I'm going to assume we're in good shape, but yell if anyone bumps into issues.

urzds added a subscriber: urzds.May 19 2016, 1:04 PM